Adobe Flash Player 安全更新

发布日期:2015 年 11 月 10 日

漏洞标识符:APSB15-28

优先级:请参见下表

CVE 编号:CVE-2015-7651、CVE-2015-7652、CVE-2015-7653、CVE-2015-7654、CVE-2015-7655、CVE-2015-7656、CVE-2015-7657、CVE-2015-7658、CVE-2015-7659、CVE-2015-7660、CVE-2015-7661、CVE-2015-7662、CVE-2015-7663、CVE-2015-8042、CVE-2015-8043、CVE-2015-8044、CVE-2015-8046

平台:所有平台

摘要

Adobe 已为 Adobe Flash Player 发布安全更新。这些更新修复了可能允许攻击者控制受影响系统的关键漏洞。

受影响的版本

产品 受影响的版本 平台
Adobe Flash Player 桌面运行时 19.0.0.226 及更早版本
Windows 和 Macintosh
Adobe Flash Player 扩展支持版本 18.0.0.255 及更早版本 Windows 和 Macintosh
适用于 Google Chrome 的 Adobe Flash Player 19.0.0.226 及更早版本 Windows、Macintosh、Linux 和 Chrome OS
适用于 Microsoft Edge 和 Internet Explorer 11 的 Adobe Flash Player 19.0.0.226 及更早版本 Windows 10
适用于 Internet Explorer 10 和 11 的 Adobe Flash Player 19.0.0.226 及更早版本 Windows 8.0 和 8.1
适用于 Linux 的 Adobe Flash Player 11.2.202.540 及更早版本 Linux
AIR 桌面运行时 19.0.0.213 及更早版本 Windows 和 Macintosh
AIR SDK 19.0.0.213 及更早版本 Windows、Macintosh、Android 和 iOS
AIR SDK & Compiler 19.0.0.213 及更早版本 Windows、Macintosh、Android 和 iOS
AIR(用于 Android 操作系统) 19.0.0.190 及更早版本 Android
  • 若要验证在系统上安装的 Adobe Flash Player 的版本,请访问“关于 Flash Player”页面,或者右键单击在 Flash Player 中运行的内容并从菜单中选择“关于 Adobe Flash Player”或“关于 Macromedia Flash Player”。如果您使用多种浏览器,请针对系统中所安装的每种浏览器执行检查。
  • 若要验证系统上安装的 Adobe AIR 的版本,请按照 Adobe AIR 技术说明中的说明操作。

解决方案

Adobe 按照以下优先级将这些更新分类,并建议用户将其安装的软件更新至最新版本:

产品 更新版本 平台 获取途径
Adobe Flash Player 桌面运行时
19.0.0.245 Windows 和 Macintosh
1 Flash Player 下载中心 Flash Player 分发
Adobe Flash Player 扩展支持版本 18.0.0.261 Windows 和 Macintosh
1 扩展支持
适用于 Google Chrome 的 Adobe Flash Player 19.0.0.245 Windows、Macintosh 和 Linux    1 Google Chrome 版本
适用于 Microsoft Edge 和 Internet Explorer 11 的 Adobe Flash Player 19.0.0.245 Windows 10 1 Microsoft 安全建议
适用于 Internet Explorer 10 和 11 的 Adobe Flash Player 19.0.0.245 Windows 8.0 和 8.1
1 Microsoft 安全建议
适用于 Linux 的 Adobe Flash Player 11.2.202.548 Linux 3 Flash Player 下载中心
AIR 桌面运行时 19.0.0.241 Windows 和 Macintosh 3 AIR 下载中心
AIR SDK 19.0.0.241 Windows、Macintosh、Android 和 iOS 3 AIR SDK 下载
AIR SDK & Compiler 19.0.0.241 Windows、Macintosh、Android 和 iOS 3 AIR SDK 下载
AIR(用于 Android 操作系统) 19.0.0.241 Android 3 Google Play
  • Adobe 建议 Adobe Flash Player 桌面运行时的 Windows 和 Macintosh 用户通过访问 Adobe Flash Player 下载中心更新至 Adobe Flash Player 19.0.0.245,或者在出现提示时,通过产品中的更新机制进行更新 [1]。
  • Adobe 建议 Adobe Flash Player 扩展支持版本的用户通过访问 http://helpx.adobe.com/cn/flash-player/kb/archived-flash-player-versions.html 更新至版本 18.0.0.261。
  • Adobe 建议 Adobe Flash Player 的 Linux 用户通过访问 Adobe Flash Player 下载中心更新至 Adobe Flash Player 11.2.202.548。
  • 随 Google Chrome 一起安装的 Adobe Flash Player 将自动更新至最新的 Google Chrome 版本,其中将包括适用于 Windows、Macintosh、Linux 和 Chrome OS 的 Adobe Flash Player 19.0.0.245。
  • 随 Windows 10 自带 Microsoft Edge 一起安装的 Adobe Flash Player 将会自动更新至最新版本,其中将包括 Adobe Flash Player 19.0.0.245。
  • 随 Windows 8.0 和 8.1 自带的 Internet Explorer 10 和 11 一起安装的 Adobe Flash Player 将会自动更新至最新版本,其中将包括 Adobe Flash Player 19.0.0.245。
  • Adobe 建议 AIR 桌面运行时、AIR SDK 以及 AIR SDK & Compiler 的用户通过访问 AIR 下载中心AIR 开发人员中心更新至版本 19.0.0.241。
  • 请访问 Flash Player 帮助页面,获得有关 Flash Player 的安装协助。
 
[1] 对于使用适用于 Windows 的 Flash Player 11.2.x 或更高版本的用户,或者使用适用于 Macintosh 的 Flash Player 11.3.x 或更高版本的用户而言,如果选择了“允许 Adobe 安装更新”选项,则可以自动获取更新。未启用“允许 Adobe 安装更新”选项的用户可在收到提示后通过产品中的更新机制安装更新。

漏洞详情

  • 这些更新修复了可能导致代码执行的类型混淆漏洞 (CVE-2015-7659)。
  • 这些更新修复了可能会在用户许可下向文件系统写入任意数据的安全绕过漏洞 (CVE-2015-7662)。
  • 这些更新修复了可能导致代码执行的 Use-After-Free 漏洞(-7651、CVE-2015-、CVE-2015-7652、CVE-2015-7653、CVE-2015-7654、CVE-2015-7655、CVE-2015-7656、CVE-2015-7657、CVE-2015-7658、CVE-2015-7660、CVE-2015-7661、CVE-2015-7663、CVE-2015-8042、CVE-2015-8043、CVE-2015-8044、CVE-2015-8046)。

鸣谢

Adobe 衷心感谢以下个人和组织,感谢他们报告相关问题并与 Adobe 一起帮助保护我们的客户: 

  • 参与 HP Zero Day Initiative 的匿名人士 (CVE-2015-7661)
  • 参与 HP Zero Day Initiative 的 Bilou(CVE-2015-7651、CVE-2015-7653、CVE-2015-7654、CVE-2015-7655、CVE-2015-7656、CVE-2015-7657、CVE-2015-7658、CVE-2015-7659、CVE-2015-7660、CVE-2015-8042)
  • 参与 HP Zero Day Initiative 的 Bilou 和 Google Project Zero 的 Natalie Silvanovich (CVE-2015-7652)
  • Jordan Rabet (CVE-2015-7662)
  • Endgame 的 Kenneth Fitch 和 Aaron Lamb (CVE-2015-7663)
  • Google Project Zero 的 Natalie Silvanovich(CVE-2015-8043、CVE-2015-8044、CVE-2015-8046)